<div align="center">
  <h1>Fz Element-UI</h1>
</div>

<div align="center">
  一个基础element-ui 二次封装的UI组件库
</div>

**当前封装所使用的库版本**
- element-ui 版本为： `2.15.+`
- vue 版本为： `2.6.+`
## 安装

### 1. 使用包管理器
```shell
# NPM
npm install xxx

# Yarn
yarn install xxx

# pnpm
pnpm install xxx
```

## 快速开始
### 1. 完整引入
`fz-element-ui` 将会在Vue应用中进行**全局组件注册**。

```js
// main.js
import Vue from 'vue'
import FzElementUi from '@fz-element-ui'
import '@fz-element-ui/dist/style.css'

Vue.use(FzElementUi)
```

### 2. 按需引入
1. 需要在使用组件的地方手动对 `fz组件` 进行导入。
    ```html
    <!-- App.vue -->
    <template>
      <fz-table>
        <el-table-column ... />
      </fz-table>
    </template>
    
    <script>
      import { FzTable } from '@fz-element-ui'
      
      export default {
        name: 'App',
        components: { FzTable }
      }
    </script>
    ```
   
2. 在全局中进行 `Fz组件` 部分注册
    ```js
    import Vue from 'vue';
    import { FzTable } from 'fz-element-ui';
    import App from './App.vue';
    
    Vue.component(FzTable.name, FzTable);
    /* 或写为
     * Vue.use(FzTable)
     */
    
    new Vue({
      el: '#app',
      render: h => h(App)
    });
    ```

## 注意事项 !

**关于原生库**

 - 组件库打包时会对第三方包如 `element-ui` 、`vue` 进行 `externals` 处理，所以务必保证使用组件的项目中导入必须要的第三方库。
