export const formOptions = {
  config: {
    labelWidth: '80px',
    labelPosition: 'right',
    size: 'small',
    inline: false
  },
  list: {
    formOne: {
      formTitle: '基本信息',
      formTitleIcon: 'el-icon-lollipop',
      formTitleClass: '',
      formCol: { span: 24 },
      formItems: {
        input_key: {
          type: 'Input',
          options: {
            placeholder: '请输入姓名',
            clearable: true,
            prefixIcon: 'el-icon-user-solid',
            col: { span: 24 },
            value: '鹏歌'
          },
          formItemOptions: {
            label: '姓名',
            col: { span: 24 }, // form-item所占格数
            isHidden: false, // 是否隐藏form-item
            rules: [
              {
                required: true,
                message: '请输入姓名'
              }
            ]
          }
        },
        input_key2: {
          type: 'Input',
          options: {
            placeholder: '请输入年龄',
            clearable: true,
            prefixIcon: 'el-icon-user-solid',
            col: { span: 24 },
            value: '18'
          },
          formItemOptions: {
            label: '年龄',
            col: { span: 24 }, // form-item所占格数
            // slotAfter: '后置文案提示', // form-item后置提示文案
            isHidden: false, // 是否隐藏form-item
            rules: [
              {
                required: true,
                message: '请输入年龄'
              },
              {
                pattern: /^[A-Za-z0-9\u4e00-\u9fa5]+$/,
                message: '不允许输入空格等特殊符号'
              }
            ]
          }
        },
        input_key3: {
          type: 'Select',
          options: {
            placeholder: '请选择性别',
            clearable: true,
            prefixIcon: 'el-icon-user-solid',
            col: { span: 24 },
            value: '',
            option: [
              {
                label: '男',
                value: 'boy'
              },
              {
                label: '女',
                value: 'girl'
              }
            ]
          },
          formItemOptions: {
            label: '性别',
            col: { span: 24 }, // form-item所占格数
            slotAfter: '', // form-item后置提示文案
            isHidden: false, // 是否隐藏form-item
            rules: [
              {
                required: true,
                message: '请输入年龄'
              },
              {
                pattern: /^[A-Za-z0-9\u4e00-\u9fa5]+$/,
                message: '不允许输入空格等特殊符号'
              }
            ]
          }
        }
      }
    }
  }
}
