import VueRouter from 'vue-router'
import Vue from 'vue'

Vue.use(VueRouter)

const router = new VueRouter({
  routes: [
    {
      path: '/pagination-demo',
      component: () => import('./pagination/pagination-demo.vue'),
      name: 'FzPagination'
    },
    // 无搜索表格
    {
      path: '/table-custom-columns',
      component: () => import('./table/table-custom-columns.vue'),
      name: 'TableCustomColumns'
    },
    // 搜索表格
    {
      path: '/table-search',
      component: () => import('./table/table-search.vue'),
      name: 'TableSearch'
    },
    // ProForm 表单
    {
      path: '/form-search',
      component: () => import('./form/form-search.vue'),
      name: 'FormSearch'
    },
    {
      path: '/data-picker-shortcuts',
      component: () => import('./data-picker/data-picker-shortcuts.vue'),
      name: 'DataPickerShortcuts'
    },
    {
      path: '/menu-voice-cloud',
      component: () => import('./menu/menu-voice-cloud.vue'),
      name: 'MenuVoiceCloud'
    },
    {
      path: '/:pathMatch(.*)*',
      redirect: '/pagination-demo'
    }
  ]
})

export default router
